#include <gtk/gtk.h>
#include "gtkclock.h"

gint CloseWindow (GtkWidget *widget, gpointer *data)
{
    gtk_main_quit ();

    return (FALSE);
}

int main (int argc, char *argv[])
{
    GtkWidget *window;
    GtkWidget *clock;
    gtk_init (&argc, &argv);
    
    window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    gtk_window_set_title (GTK_WINDOW (window), "GtkClock widget example...");
    gtk_signal_connect (GTK_OBJECT (window), "delete_event", GTK_SIGNAL_FUNC (gtk_main_quit), NULL);
    gtk_container_border_width (GTK_CONTAINER (window), 10);

    clock = gtk_clock_new ();
    gtk_widget_draw (clock, NULL);
    gtk_widget_show (clock);
    gtk_container_add (GTK_CONTAINER (window), clock);

    gtk_widget_show (window);

    gtk_main ();
}

